import { w as withInstall } from "../badge/index2.js";
import { defineComponent, openBlock, createElementBlock, renderSlot } from "vue";
var index = /* @__PURE__ */ (() => ".layui-footer{box-sizing:border-box}\n")();
const _hoisted_1 = { class: "layui-footer" };
const __default__ = {
  name: "LayFooter"
};
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        renderSlot(_ctx.$slots, "default")
      ]);
    };
  }
});
const component = withInstall(_sfc_main);
export { _sfc_main as _, component as c };
